
/* Hide Cart icon when nothing in the cart */
.elementor-widget-gva-cart-box {
    display: none;

    &:has(.widget-product) {
            display: block;
    }
    
    .gsc-cart-box {
        .title-cart {
            top: 0px;
        }   
    }
}

.products {
    /*margin: 0;*/
    display: flex;
    
    .product-block {
        /*height: 100%;*/
        margin: 0px;
        
        .product-block-inner {
            background-color: #252525;
            border: 0px;
            padding: 34px;
            border-radius: 20px;
            height: 100%;
            
            display: flex;
            flex-direction: column;
            justify-content: space-around;
    
            .product-thumbnail {
                padding-left: 5px;
                    text-align: left;
                
                .attachment-shop_catalog {
                    img {
                        width: 100px;
                        height: 100px;
                    }
            
                }
            
            }
            
            .product-meta {
                text-align: left;
                
                .shop-loop-title {
                    text-align: left;
                    line-height: 1em;
                }
                
                
            }
            
            .add-to-cart {
                margin-top: auto;
                
                a.add_to_cart_button {
                    background-color: #F36F27;
                    border-radius: 50px;
                    color: white;
                    padding: 10px 30px;
                    transition: 0.5s;
                    display: flex;
                    width: fit-content;
                    align-items: center;
                    
                    &.added {
                        display: none;
                    }
                    
                    &:before {
                        content: "";
                        mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 576 512'%3E%3C!--!Font Awesome Free v5.15.4 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2026 Fonticons, Inc.--%3E%3Cpath d='M504.717 320H211.572l6.545 32h268.418c15.401 0 26.816 14.301 23.403 29.319l-5.517 24.276C523.112 414.668 536 433.828 536 456c0 31.202-25.519 56.444-56.824 55.994-29.823-.429-54.35-24.631-55.155-54.447-.44-16.287 6.085-31.049 16.803-41.548H231.176C241.553 426.165 248 440.326 248 456c0 31.813-26.528 57.431-58.67 55.938-28.54-1.325-51.751-24.385-53.251-52.917-1.158-22.034 10.436-41.455 28.051-51.586L93.883 64H24C10.745 64 0 53.255 0 40V24C0 10.745 10.745 0 24 0h102.529c11.401 0 21.228 8.021 23.513 19.19L159.208 64H551.99c15.401 0 26.816 14.301 23.403 29.319l-47.273 208C525.637 312.246 515.923 320 504.717 320zM408 168h-48v-40c0-8.837-7.163-16-16-16h-16c-8.837 0-16 7.163-16 16v40h-48c-8.837 0-16 7.163-16 16v16c0 8.837 7.163 16 16 16h48v40c0 8.837 7.163 16 16 16h16c8.837 0 16-7.163 16-16v-40h48c8.837 0 16-7.163 16-16v-16c0-8.837-7.163-16-16-16z'/%3E%3C/svg%3E");
                        
                        width: 15px;
                        height: 13px;
                        
                        display: inline-block;
    
                        /* Mask setup */
                        -webkit-mask-repeat: no-repeat !important;
                        mask-repeat: no-repeat !important;
                    
                        -webkit-mask-position: center !important;
                        mask-position: center !important;
                    
                        -webkit-mask-size: contain !important;
                        mask-size: contain !important;
                        
                        -webkit-mask-repeat: no-repeat !important;
                        mask-repeat: no-repeat !important;
                    
                        /* Color of the icon */
                        background-color: white;
                        
                        transition: 0.5s;
                        
                        
                    }
                    
                    &:hover {
                            
                        background-color: white;
                        color: #F36F27;
                        &:before {
                            background-color: #F36F27;
                        }
                    }
                }
                
                a.added_to_cart {
                    background-color: #F36F27;
                    border-radius: 50px;
                    color: white;
                    padding: 10px 30px;
                    transition: 0.5s;
                    display: flex;
                    width: fit-content;
                    align-items: center;
                    
                    
                    &:before, &:after {
                        width: 15px;
                        height: 13px;
                        
                        display: inline-block;
    
                        /* Mask setup */
                        -webkit-mask-repeat: no-repeat !important;
                        mask-repeat: no-repeat !important;
                    
                        -webkit-mask-position: center !important;
                        mask-position: center !important;
                    
                        -webkit-mask-size: contain !important;
                        mask-size: contain !important;
                        
                        -webkit-mask-repeat: no-repeat !important;
                        mask-repeat: no-repeat !important;
                    
                        /* Color of the icon */
                        background-color: white;
                
                        transition: 0.5s;
                    }
                        
                    &:before {
                        content: "";
                        mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'%3E%3C!--!Font Awesome Free v5.15.4 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2026 Fonticons, Inc.--%3E%3Cpath d='M256 8c137 0 248 111 248 248S393 504 256 504 8 393 8 256 119 8 256 8zM140 300h116v70.9c0 10.7 13 16.1 20.5 8.5l114.3-114.9c4.7-4.7 4.7-12.2 0-16.9l-114.3-115c-7.6-7.6-20.5-2.2-20.5 8.5V212H140c-6.6 0-12 5.4-12 12v64c0 6.6 5.4 12 12 12z'/%3E%3C/svg%3E");
                        
                        margin-right: 5px;
                    }
                    
                    &:after {
                        content: "";
                        mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 448 512'%3E%3C!--!Font Awesome Free v5.15.4 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2026 Fonticons, Inc.--%3E%3Cpath d='M190.5 66.9l22.2-22.2c9.4-9.4 24.6-9.4 33.9 0L441 239c9.4 9.4 9.4 24.6 0 33.9L246.6 467.3c-9.4 9.4-24.6 9.4-33.9 0l-22.2-22.2c-9.5-9.5-9.3-25 .4-34.3L311.4 296H24c-13.3 0-24-10.7-24-24v-32c0-13.3 10.7-24 24-24h287.4L190.9 101.2c-9.8-9.3-10-24.8-.4-34.3z'/%3E%3C/svg%3E");
                        
                        margin-left: 5px;
                        top: 0px;
                    }
                    
                    &:hover {
                        background-color: white;
                        color: #F36F27;
                        
                        &:before, &:after {
                            background-color: #F36F27;
                        }
                    }
                }
            }
        }
    } 
}

/*#CCCCCC*/
.mini-cart-header {
    .mini-cart-inner {
        .minicart-content {
            background-color: black;
            color: white;
            
            .minicart-header {
                background-color: black;
                color: white;
                
                &:before, &:after {
                    content: unset;
                }
                
                
            }
            .product_list_widget{
                &.cart_list {
                    .widget-product {
                        color: #ccc;
                        
                        .name {
                            a {
                                color: #F46F25;
                            }
                        } 
                    }  
                }   
            }   
            
            .total {
                color: #ccc;
            }
        }  
    }   
} 


body.woocommerce-page .main-page-content {
    padding: 0px;
    .content-page-inner {
        .cart-container {
            
            .woocommerce {
                background-color: #252525;
                
                .woocommerce-cart-form__contents {
                    thead {
                        tr {
                            th {
                                color: #ccc;
                            }
                            
                            
                        }   
                    }
                    
                    td {
                        color: #ccc;
                    }
                }   
                
                .cart-collaterals {
                    table.shop_table {
                        tr {
                            th, td {
                                color: #ccc;
                            }
                        }
                    }
                }
            }
        }    
    }
}

.woocommerce-page {
    .content-page-inner {
        .checkout-container {
            .woocommerce {
                background-color: #252525;
                
                #order_review {
                    .woocommerce-checkout-review-order-table {
                        .product-name {
                            color: #ccc;
                        }
                        
                        tfoot {
                            > tr{
                                > th { 
                                    color: #ccc;    
                                }
                            }    
                        }
                    }
                }
            }
        }
    }
}